package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.xq.domain.SmsVerify;
import com.ruoyi.xq.enums.common.CodeEnum;

/**
 * 短信验证码Service接口
 *
 * @author 77
 * @date 2024-01-01
 */
public interface SmsVerifyService extends IService<SmsVerify> {

    boolean check(CodeEnum codeEnum, String mobile, String code);

    void put(CodeEnum codeEnum, String mobile);

    void clearSmsVerify(int days);
}
